version: "3.6"
services:

  <<projectName>>-ui:
    build:
      context: .
      dockerfile: Dockerfile.ui.dev
    container_name: <<projectName>>-ui
    user: "${UID}:${GID}"
    volumes:
      - ./<<projectName>>-ui:/home/node
      - /home/node/node_modules
    command: npx vite --host
    environment:
      - # container internal port (not exposed to host)
      - PORT=8000
      # this is the url the browser uses, so it needs to be the external url (going through ingress to hit the backend)
      - VITE_APP_API_BASE_URL=https://<<projectName>>.dev.bigbang.mil/api
    stdin_open: true
    tty: true
    networks:
      - <<projectName>>-net
    healthcheck:
      test: curl -f http://localhost:$$PORT
      timeout: 10s
      retries: 5
      start_period: 20s